\documentclass{article}
% \usepackage[english,greek]{babel}
% \usepackage[utf8]{inputenc}
% \usepackage[T1]{fontenc}
\usepackage{fontspec}
\setmainfont{CMU Serif}

\usepackage{makecell}
\usepackage[yyyymmdd]{datetime}
\usepackage{fancyhdr}
\usepackage{lastpage}
\usepackage{graphicx}
\usepackage{xcolor}
% \usepackage{transparent}
\usepackage{geometry}
\usepackage{lipsum}
\usepackage{mathbbol}
\usepackage{float}
\usepackage{subcaption}
% \usepackage{amsmath}
\usepackage{amssymb}
\usepackage{gensymb}
\usepackage{mathtools}
\usepackage{hyperref}
\usepackage{tablefootnote}
\usepackage{threeparttable}
\usepackage{multirow}
\usepackage{appendix}
\usepackage{longtable}
\usepackage{pifont}
\hypersetup
{
  colorlinks=true,
  linkcolor=blue,
  filecolor=magenta,      
  urlcolor=cyan,
}



\graphicspath{ {images/} }

% author
\author{Δημήτρης Παπαγιάννης \\ \small{ \href{mailto:d.papag.a@gmail.com}{en1190004@di.uoa.gr}} }


% \floatstyle{boxed}
\restylefloat{figure}
\setlength{\headsep}{1.5cm}
% margins setup
\addtolength{\oddsidemargin}{1cm}
\addtolength{\evensidemargin}{1cm}
\addtolength{\textwidth}{-2cm}
% \addtolength{\topmargin}{-1.5cm}
\addtolength{\textheight}{1cm}

\title{\documentTitle}
%% \newcommand{\mydate}{\formatdate{20}{1}{2018}}
\pagestyle{fancy}
\floatstyle{plain}
% headers and footers
\fancyhf{}
\lhead
{
  {
    % \transparent{0.4}
    \includegraphics[height=25pt]{LOGO_UOA_bw_en_header_no_text.eps}
  }
}
\rhead
{
  \emph{\documentTitle}
}

\lfoot
{
  \parbox[b]{2cm}
  {
    % \transparent{0.4}
    % \includegraphics[width=140pt]{LOGO_UOA_bw_en_header}
  }
}
\rfoot
{
  \parbox[b]{\dimexpr\linewidth-0.5cm\relax}
  {
    \hfill\thepage/{\hypersetup{linkcolor=black}\pageref{LastPage}}\\{\color{black}\rule{\dimexpr\linewidth\relax}{0.4pt}}
  }
}

\fancypagestyle{firststyle}
{
  \fancyhf{}
  \lhead
  {
    % \transparent{0.4}
    \includegraphics[height=50pt]{LOGO_UOA_bw_en_header.eps}
  }
  \rhead
  {
    \emph{\documentTitle}
  } 
  \rfoot
  {
    \parbox[b]{\dimexpr\linewidth-0.5cm\relax}
    {
      \hfill\thepage/{\hypersetup{linkcolor=black}\pageref{LastPage}}\\{\color{black}\rule{\dimexpr\linewidth\relax}{0.4pt}}
    }
  }
  
}